Skip to main content
GET
/
companies
List companies
curl --request GET \
  --url https://productlane.com/api/v1/companies \
  --header 'Authorization: Bearer <token>'
{
  "companies": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "isDeleted": true,
      "version": 123,
      "linearCustomerId": "<string>",
      "size": 123,
      "revenue": 123,
      "statusId": "<string>",
      "statusName": "<string>",
      "statusColor": "<string>",
      "tierId": "<string>",
      "tierName": "<string>",
      "logoUrl": "<string>",
      "domains": [
        "<string>"
      ],
      "autoAdd": true,
      "workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "intercomId": "<string>",
      "hubspotId": "<string>",
      "productboardId": "<string>",
      "externalIds": [
        "<string>"
      ],
      "slugId": "<string>",
      "meta": {
        "domain": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "brandfetchData": "<unknown>"
      },
      "_count": {
        "contacts": 123
      }
    }
  ],
  "nextPage": {
    "take": 123,
    "skip": 123
  },
  "hasMore": true,
  "count": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

skip
integer
take
integer
domain
string
Required string length: 1 - 255
name
string
Required string length: 1 - 255

Response

Successful response

companies
object[]
required
nextPage
object
required
hasMore
boolean
required
count
number
required